﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            axMoviePlayer1.UsePitchTempo = true;
            axMoviePlayer1.UseVolumeBoost = true;
            axMoviePlayer1.StreamingAutoPlayAfterBuffered(300);
            axMoviePlayer1.StreamingLoadFromURL(txtURL.Text);
            double iDur = axMoviePlayer1.Duration;
            lbltotaldur.Text = "Duration:" +iDur.ToString();
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            axMoviePlayer1.StreamingPlay();
        }

        private void AxMoviePlayer1_OnStreamingBuffered(object sender, AxMOVIEPLAYERLib._DMoviePlayerEvents_OnStreamingBufferedEvent e)
        {
            txtstreamingbuffer.Text = e.iDownloadPercent.ToString();
        }

        private void AxMoviePlayer1_OnStreamingStatus(object sender, AxMOVIEPLAYERLib._DMoviePlayerEvents_OnStreamingStatusEvent e)
        {
            txtfilesize.Text = axMoviePlayer1.StreamingGetFileSize().ToString();
        }

        private void Button3_Click(object sender, EventArgs e)
        {
            axMoviePlayer1.StreamingStop();
        }

        private void Button4_Click(object sender, EventArgs e)
        {
            axMoviePlayer1.VolumeAudioChannel = 0;
        }

        private void Button5_Click(object sender, EventArgs e)
        {
            axMoviePlayer1.VolumeAudioChannel = 1;
        }

        private void Button6_Click(object sender, EventArgs e)
        {
            axMoviePlayer1.VolumeAudioChannel = 2;
        }
    }
}
